<?php
namespace Claromentis\Core\Component\ValueType;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_d155d43a39de93f8581" . "23c6b6ce31d8a" => base64_decode("cHJl" . "Z19t" . "YXRj" . "aA=="), "_b471c29e7ef68da" . "56fdc4511c7de5cf" . "4" => base64_decode("L1x" . "kez" . "h9L" . "w=="), "_5e30c4717ced" . "36cff9e93e19a" . "5c576cc" => base64_decode("aXNfc3RyaW" . "5n"));




class TypeDate implements ValueType
{
    public function Serialize($value)
    {
        if ($value === null) {
            return null;
        }
        
        
        return $value->getDate(DATE_FORMAT_DATE_DAY);
    }
    public function Unserialize($_d957779c7daa148ba3e831d162d15722)
    {
        if (empty($_d957779c7daa148ba3e831d162d15722)) {
            return null;
        }
        return new \DateDay($_d957779c7daa148ba3e831d162d15722);
    }
    public function Normalize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_5e30c471" . "7ced36cff" . "9e93e19a5" . "c576cc"]($value)) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d155d43a39de93f858123c6b6ce31d8" . "a"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_b471c29e7ef68da56fdc45" . "11c7de5cf4"], $value)) {
                $_67a0d624aebcceb0abd5ce56a53ff06f = new \DateDay($value);
            } else {
                $_67a0d624aebcceb0abd5ce56a53ff06f = \DateDay::CreateFrom($value);
            }
            $value = $_67a0d624aebcceb0abd5ce56a53ff06f;
        }
        return $value;
    }
    public function Modify($_fd536f3a4b49ad5514a4e7a5db1c6248, $_33e21c745c95d91261fc8f7b4b930af0)
    {
        return $this->Normalize($_33e21c745c95d91261fc8f7b4b930af0);
    }
}